/**
 * Copyright 2010 Västra Götalandsregionen
 *
 *   This library is free software; you can redistribute it and/or modify
 *   it under the terms of version 2.1 of the GNU Lesser General Public
 *   License as published by the Free Software Foundation.
 *
 *   This library is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU Lesser General Public License for more details.
 *
 *   You should have received a copy of the GNU Lesser General Public
 *   License along with this library; if not, write to the
 *   Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 *   Boston, MA 02111-1307  USA
 */

package se.vgregion.activation.camel;

import org.apache.cxf.Bus;
import org.apache.cxf.bus.spring.SpringBusFactory;

/**
 * This class is used by means of Spring configuration.
 *
 * User: pabe
 * Date: 2011-09-06
 * Time: 16:17
 */
public class CamelInit {

    /**
     * This method is called by means of Spring configuration. It enables the use of TLS/SSL
     * configuration for the CXF RS in combination with Camel.
     */
    public void init() {
        SpringBusFactory bf = new SpringBusFactory();
        Bus bus = bf.createBus("META-INF/spring/messagebus-security.xml");
        bf.setDefaultBus(bus);
    }
}
